* {
    box-sizing: border-box;
    image-rendering: pixelated;
    scroll-behavior: smooth;
    scrollbar-width: thin;
    scrollbar-color: #fff black;
    transition: 0.4s;
    margin: 0;
    padding: 0;
}

:root {
    --black: #190400;
    --white: #f2f2f2;
    --green: #a2b20a;
    --orange: #f4964e;
    --pink: #faa3ab;
}

html {
    background: var(--black);
    color: var(--white);
    font-family: "Silkscreen";
}

.border {
    border-image-slice: 4;
    border-image-width: 12px;
    border-image-repeat: stretch;
    border-image-source: url("/adventure/assets/border.png");
    border-style: solid;
    border-image-outset: 16px;
}

aside {
    float: left;
}

.home a {
    font-size: 24px;
    text-decoration: none;
    color: var(--green);
    margin-left: 24px;
}

.home a:hover {
    color: var(--orange);
    font-weight: bold;
}

.title {
    display: block;
    color: var(--white);
    font-size: 28px;
    font-family: "Press Start 2P";
    margin-left: 24px;
    margin-top: 12px;
}

.title p {
    font-family: silkscreen;
    font-size: 16px;
}

.container {
    width: 400px;
    height: 400px;
    margin: auto;
    margin-top: 24px;
}

.map {
    background-image: url("/adventure/assets/maps.png");
    background-repeat: no-repeat;
    background-size: 1152px;
    height: 384px;
    width: 384px;
    margin:auto;
    margin-top:4px;
}

.interact:hover {
    filter: drop-shadow(0 0 0.5rem var(--white)) brightness(1.25);
    cursor: pointer;
}

.exit-up {
    background-image: url(/adventure/assets/interactables.png);
    background-repeat: no-repeat;
    background-size: 172px;
    background-position: -42px -130px;
}

.exit-down {
    background-image: url(/adventure/assets/interactables.png);
    background-repeat: no-repeat;
    background-size: 172px;
    background-position: -44px -176px;
}

.exit-right {
    background-image: url(/adventure/assets/interactables.png);
    background-repeat: no-repeat;
    background-size: 172px;
    background-position: -86px -170px;
}

.exit-left {
    background-image: url(/adventure/assets/interactables.png);
    background-repeat: no-repeat;
    background-size: 172px;
    background-position: 0 -170px;
}
#popup {
    display: none;
    position:absolute;
    top:75%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;
    width: 500px;
    background: var(--black);
    border-image-slice: 4;
    border-image-width: 12px;
    border-image-repeat: stretch;
    border-image-source: url("/adventure/assets/border.png");
    border-style: solid;
    border-image-outset: 8px;
    padding:12px;
}

.popup img {
    display: block;
    margin: auto;
    margin-bottom: 8px;
}

.close {
    position: absolute;
    right: 8px;
    top: -8px;
    font-size: 32px;
    color: var(--orange);
}

.close:hover,
.close:focus {
    color: var(--white);
    cursor: pointer;
}